NEURON {

	POINT_PROCESS ExpSyn

	RANGE tau, e, i

	NONSPECIFIC_CURRENT i

}



UNITS {

	(nA) = (nanoamp)

	(mV) = (millivolt)

	(umho) = (micromho)

}



PARAMETER {

	tau = 0.1 (ms)

	e = 0	(mV)

}



ASSIGNED {

	v (mV)

	i (nA)

}



STATE {

	g (umho)

}



INITIAL {

	g=0

}



BREAKPOINT {

	SOLVE state METHOD cnexp

	i = g*(v - e)

}



DERIVATIVE state {

	g' = -g/tau

}



NET_RECEIVE(weight (umho)) {

	state_discontinuity(g, g + weight)

}

